Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class EntityPropertyRegistry

    java.lang.Object
      org.jasig.portal.services.EntityPropertyRegistry

    public class EntityPropertyRegistry

extends java.lang.Object

A Service to allow the querying and storing of properties relating to portal entities. Configured using /properties/EntityPropertyRegistry.xml see dtds/EntityPropertyRegistry.dtd for configuration file grammar

Version:
  $Revision: 1.15 $
Author:
  Alex Vigdor av317@columbia.edu, Don Fracapane df7@columbia.edu Removed caching from this class and delegated it to the finder classes. Each finder can choose the method of caching if caching is appropriate.

Field Summary
`protected static EntityPropertyRegistry` | `_instance`
`protected IEntityPropertyFinder[]` | `finders`
`protected java.lang.Object[]` | `finderTypes`
`private static org.apache.commons.logging.Log` | `log`
`protected java.lang.Class` | `propsType`
`protected IEntityPropertyStore` | `store`
`protected int` | `storePrecedence`

Constructor Summary
`protected` | `EntityPropertyRegistry()`

Method Summary
`void` | `addToCache(EntityProperties ep)`
`void` | `clearCache(EntityIdentifier entityID)`
`EntityProperties` | `getCachedProperties(EntityIdentifier entityID)`
`protected EntityProperties` | `getProperties(EntityIdentifier entityID)`
`static java.lang.String` | `getProperty(EntityIdentifier entityID, java.lang.String name)`
`static java.lang.String[]` | `getPropertyNames(EntityIdentifier entityID)`
`protected java.lang.String` | `getPropKey(EntityIdentifier entityID)`
`protected void` | `init()`
`static EntityPropertyRegistry` | `instance()`
`static void` | `storeProperty(EntityIdentifier entityID, java.lang.String name, java.lang.String value)`
`static void` | `unStoreProperty(EntityIdentifier entityID, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### _instance

    protected static EntityPropertyRegistry _instance

### store

    protected IEntityPropertyStore store

### storePrecedence

    protected int storePrecedence

### finders

    protected IEntityPropertyFinder[] finders

### finderTypes

    protected java.lang.Object[] finderTypes

### propsType

    protected java.lang.Class propsType

Constructor Detail

### EntityPropertyRegistry

    protected EntityPropertyRegistry()

Method Detail

### init

    protected void init()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### instance

    public static EntityPropertyRegistry instance()

### getPropertyNames

    public static java.lang.String[] getPropertyNames(EntityIdentifier entityID)

### getProperty

    public static java.lang.String getProperty(EntityIdentifier entityID,
                                               java.lang.String name)

### storeProperty

    public static void storeProperty(EntityIdentifier entityID,
                                     java.lang.String name,
                                     java.lang.String value)

### unStoreProperty

    public static void unStoreProperty(EntityIdentifier entityID,
                                       java.lang.String name)

### getPropKey

    protected java.lang.String getPropKey(EntityIdentifier entityID)

### getProperties

    protected EntityProperties getProperties(EntityIdentifier entityID)

### clearCache

    public void clearCache(EntityIdentifier entityID)

### addToCache

    public void addToCache(EntityProperties ep)

### getCachedProperties

    public EntityProperties getCachedProperties(EntityIdentifier entityID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD